- mbs help text file

#ENTRY mbh
NAME
	mbh - obtain help on mbs commands, list mbs commands

SYNOPSIS
	mbh <cmd>
	mbh

ACCESS LEVEL
	User

DESCRIPTION
	This command is usually intended to obtain help on the available
	commands in the mbs.

	The commands are documented using the rule that statments within
	<>'s might be given, statements within []'s must be given.

	The command is self-indexing. This means that if the help file
	has changed and the help command is issued, it will abort
	and re-index the file before admitting any more requests.

	It's recommended that you read the tutorial before you seek out
	the individual commands. Read it with the command 'mbh tutorial'.

	All headers are fairly self-explanatory except 'ACCESS LEVEL'.
	The entry tells you who has access to using that particular
	command. The available levels are:

	User  - Anyone who has access to the mbs. This is the most common
		level for all commands, with exception to the mbm set of
		commands, of course.

	Liege - The lieges have limited access to the mbm commands as they
		are responsible for the upkeep of the domain internal boards.
		This particular privilige, or duty if you prefer that, can 
		not be delegated to anyone else except a board admin.

	Admin -	The board admin has full access to the mbs service at all
		times, naturally. 

OPTIONS
	<cmd>	- Get help text on this command.

#ENTRY mbs
NAME
	mbs - Mrpr's board soul, access boards the easy way

SYNOPSIS
	mbs <options> <args>

ACCESS LEVEL
	User

DESCRIPTION
	The mbs command is the basic command for using boards. It provides
	all the services the boards provide with the additional benefit of
	keeping track of new postings on the boards.

	The options are here listed briefly. To get the full help text
	please ask for the short version of the command, e.g. 'mbh mbs l'
	to get the help text for the list command.

	It's recommended that you read the tutorial before you seek out
	the individual commands. Read it with the command 'mbh tutorial'

OPTIONS
	* = default command (command issued if no arguments given)
	--- Board admin
	b *	- Select a board to read
		  This command doubles as default command, with arguments.
	c	- Catch up on the current board
	C	- Catch up on the current selection
	CC	- Catch up all subscribed boards
	d	- Delete an article
	h	- List unread headers
	H	- List all headers
	l	- List subscribed boards in the current selection
	lu *	- List unread boards in the current selection
	lua	- As 'lu', but adds information about other selections
	L	- List all unsubscribed boards
	La	- List all available boards
	r	- Read an article
	mr	- Read an article with more
	p	- Post an article
	s	- Subscribe a board
	S	- Subscribe to an entire selection
	t	- Teleport to a board
	u	- Unsubscribe a board
	U	- Unsubscribe an entire selection
	UU	- Unsubscribe all boards
	uc	- Uncatchup on the current board, make all notes unread.
	UC	- Uncatchup on the current selection
	UCC	- Uncatchup on all subscribed boards	
        scrap	- Scrap a board
	ls	- List the scrapped boards
        +	- Select the next board with unread news, list the headers
	-- Newsgroup admin
	cn	- Create a newsgroup
	dn	- Delete a newsgroup
	ln	- List all newsgroups
	rn	- Rename a newsgroup
	-- Selection admin
	ss	- Set the selection
	si	- Select the selection item
	-- Misc
	la	- List all mbs administrators
	lc	- List all categories
	gr	- Generate various usage reports

FILES
	The mbs stores information about your personal selection of
	subscribed boards and read notes in a special directory. You need
	not worry about this as the mbs automatically creates it the first
	time you use the service and manages it for you.

#ENTRY mbs b
NAME
	mbs b - Select a board for reading, display unread headers

SYNOPSIS
	mbs b <name> <domain/category/newsgroup>
	mbs <name> <domain/category/newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	Select a board for reading. If you specify a domain or a category
	they will be used in trying to identify the board, if not it is
	looked for in the current selection.

	The unread headers of the board will be displayed automatically.

	If you don't provide any arguments at all, the currently selected
	board will be announced.

#ENTRY mbs c
NAME
	mbs c - catch up on a board

SYNOPSIS
	mbs c

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all news on the currently selected board
	as read. It then selects the next board with unread news and
	lists the headers.

SEE ALSO
	Options C, CC, uc, UC and UCC.

#ENTRY mbs C
NAME
	mbs C - catch up on all boards in the current selection

SYNOPSIS
	mbs C

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all news on all boards in the current
	selection as read. It then moves to the next board with
	unread news and lists the headers.

SEE ALSO
	Options c, CC, uc, UC and UCC.

#ENTRY mbs CC
NAME
	mbs CC - catch up on all boards

SYNOPSIS
	mbs CC

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all suscribed boards as read.

SEE ALSO
	Options c, C, uc, UC and UCC.

#ENTRY mbs d
NAME
	mbs d - delete an article

SYNOPSIS
	mbs d [note number]

ACCESS LEVEL
	User

DESCRIPTION
	With this command you delete a specified article on a board.
	You naturally have to have delete access on the board in
	order to do that.

SEE ALSO
	Options r, mr and p.

#ENTRY mbs h
NAME
	mbs h - Display the unread headers of a board

SYNOPSIS
	mbs h <name> <domain/category/newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	Display the unread header of the specified board. If no board
	is specified, the currently selected board will be displayed.

SEE ALSO
	Option H.

#ENTRY mbs H
NAME
	mbs H - Display all headers of a board

SYNOPSIS
	mbs H <name> <domain/category/newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	Display all headers of the specified board. If no board
	is specified, the currently selected board will be displayed.

SEE ALSO
	Option h.

#ENTRY mbs l
NAME
	mbs l - List subscribed boards in the current selection

SYNOPSIS
	mbs l

ACCESS LEVEL
	User

DESCRIPTION
	List all your subscribed boards in the current seletion.
	The listing will display the name of the board, it's assigned
	category, domain of origin and the description of its contents.
	The last entry is a line called 'Status'. There you will be
	informed about general status of the board:

	U: There is unread news on this board
	-: Nothing of interest.
	B: The board is broken.

	You will also get a line of three letters within letters
	informing you of your access status as one of [rwd]; read
	write and delete access. A hyphen (-) in place of a letter
	means you don't have that access.

	The listing is in selection order.

SEE ALSO
	Option lu and lua.

#ENTRY mbs lu
NAME
	mbs lu - List unread boards in the current selection

SYNOPSIS
	mbs lu
	mbs

ACCESS LEVEL
	User

DESCRIPTION
	List all boards with unread news in the current selection.
	The listing will display the name of the board, it's assigned
	category, domain of origin and the description of its contents.
	The last entry is a line called 'Status'. There you will be
	informed about general status of the board:

	U: There is unread news on this board
	-: Nothing of interest.
	B: The board is broken.

	You will also get a line of three letters within letters
	informing you of your access status as one of [rwd]; read
	write and delete access. A hyphen (-) in place of a letter
	means you don't have that access.

	If there is news in other selections apart from the current,
	you will be told that there's unread news there but not how
	much or exactly what.

	The listing is in selection order.

SEE ALSO
	Option l and lua.

#ENTRY mbs lua
NAME
	mbs lua - List unread boards in the current selection, give
		  information on other selections as well

SYNOPSIS
	mbs lua

ACCESS LEVEL
	User

DESCRIPTION
	This command essentially works no different from 'mbs lu',
	however, it also provides a list of unread boards in other
	selections as well.

SEE ALSO
	Option l and lu.

#ENTRY mbs L
NAME
	mbs L - List unsubscribed boards

SYNOPSIS
	mbs L <domain/category>

ACCESS LEVEL
	User

DESCRIPTION
	List available, unsubscribed boards. You may limit the output
	by specifying a domain or category of boards that you are
	interested in.

	You are presented with the following information: Board name,
	assigned category, parent domain, description and access.
	The privilige string is three characters long and tell you if
	you have Read, Write or Delete access to the board.

	The listing is in domain order, sorted internally.

SEE ALSO
	Option La.

#ENTRY mbs La
NAME
	mbs La - List all available boards

SYNOPSIS
	mbs La <domain/category>

ACCESS LEVEL
	User

DESCRIPTION
	List all available boards. You may limit the output
	by specifying a domain or category of boards that you are
	interested in.

	The listing is in domain order, sorted internally.

SEE ALSO
	Option L.

#ENTRY mbs r
NAME
	mbs r - Read an article on a board

SYNOPSIS
	mbs r <number> <name>

ACCESS LEVEL
	User

DESCRIPTION
	This function will read the next unread article it can find.
	If the currently selected board doesn't have any more unread
	articles, it will swap to the next. When the selection is
	read, it will swap selection item within the current selection
	order (domain, category or newsgroup), until all boards are
	checked.

	You can also specify a particular note and/or board if you
        wish to do that.

SEE ALSO
	Option mr, d and p.

#ENTRY mbs mr
NAME
	mbs r - Read an article on a board using more.

SYNOPSIS
	mbs mr <number> <name>

ACCESS LEVEL
	User

DESCRIPTION
	This function is the exact complement of 'mbs r', except
	that it uses more if the note exceeds your defined number of
	lines to read.

SEE ALSO
	Option r, d and p.

#ENTRY mbs p
NAME
	mbs p - Post on a board.

SYNOPSIS
	mbs p [subject line]

ACCESS LEVEL
	User

DESCRIPTION
	Use this function to post on a board. You must have a currently
	selected board and you must have write access on the board.

SEE ALSO
	Options r, mr and d.

#ENTRY mbs s
NAME
	mbs s - Subscribe to a board

SYNOPSIS
	mbs s [name] [category/domain] <newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to subscribe to a board. You must have defined
	at least one newsgroup in advance to store subscribed boards in.
	If the newsgroup argument is not specified, it is stored with
	the current default newsgroup.

	The newly subscribed board automatically becomes the current
	board.

SEE ALSO
	Options ln, L, S, u, U, ss and si.	

#ENTRY mbs S
NAME
	mbs S - Subscribe to an entire domain/category

SYNOPSIS
	mbs S [domain/category] <newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to subscribe to all boards in a domain or a
	category. You must have defined at least one newsgroup in advance
	to store subscribed boards in.If the newsgroup argument is not
	specified, it is stored with he current default newsgroup.

SEE ALSO
	Options ln, L, s, u, U, ss and si.	

#ENTRY mbs t
NAME
	mbs t - Teleport to a board

SYNOPSIS
	mbs t <board> <selection>

ACCESS LEVEL
	User

DESCRIPTION
	Use this function to teleport to any subscribed board. If the
	board is in the current selection you only have to specify
	the name. If the name occurs twice or if it is in another
	selection, specify domain, category or newsgroup as well.

	If you don't specify any board, you will be moved to the
	currently selected board.


NAME
	mbs u - Unsubscribe a board

#ENTRY mbs u
SYNOPSIS
	mbs u <board> <domain/category>

ACCESS LEVEL
	User

DESCRIPTION
	Without any arguments you unsubscribe the current board, if any
	is defined. With the argument 'board' defined, you unsubscribe
	the first found board in the current selection with that name,
	with domain or category defined, it attempts to identify the
	board using that specification.

SEE ALSO
	Option U and UU.

#ENTRY mbs U
NAME
	mbs U - Unsubscribe an entire domain/category/newsgroup

SYNOPSIS
	mbs u [domain/category/newsgroup]

ACCESS LEVEL
	User

DESCRIPTION
	With this command you can unsubscribe an entire domain,
	category or newsgroup.

SEE ALSO
	Option u and UU.

#ENTRY mbs UU
NAME
	mbs UU - Unsubscribe all boards

SYNOPSIS
	mbs UU

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to unsubscribe all boards.

SEE ALSO
	Option u and U.

#ENTRY mbs uc
NAME
	mbs uc - uncatch up on a board

SYNOPSIS
	mbs uc

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all news on the currently selected board
	as unread.

SEE ALSO
	Options c, C, CC, UC and UCC.

#ENTRY mbs UC
NAME
	mbs UC - uncatch up on all boards in the current selection

SYNOPSIS
	mbs UC

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all news on all boards in the current
	selection as unread.

SEE ALSO
	Options c, CC, UC, uc and UCC.

#ENTRY mbs UCC
NAME
	mbs UCC - Uncatch up on all boards

SYNOPSIS
	mbs UCC

ACCESS LEVEL
	User

DESCRIPTION
	This commands marks all suscribed boards as unread.

SEE ALSO
	Options c, C, UCC, uc and UC.

#ENTRY mbs scrap
NAME
	mbs scrap - Scrap a board

SYNOPSIS
	mbs scrap [name] [category/domain]

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to scrap a board. This only removes the
	board from the list of unsubscribed boards from you sight,
	nothing else. The board still exists and can be subscribed,
	this in fact is the only method of removing it from the
	list of scrapped boards.

	Use this to remove boards you never will be interested in
	subscribing to, like boards where you don't have access.

NOTA BENE
	This command only removes the board from the list you are
	displayed when listing unsubscribed boards, nothing else.	

SEE ALSO
	Options s and ls.

#ENTRY mbs ls
NAME
	mbs ls - List all scrapped boards.

SYNOPSIS
	mbs ls

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to list the boards you have scrapped.

SEE ALSO
	Option scrap.

#ENTRY mbs +
NAME
	mbs + - Advance to next board with unread news.

SYNOPSIS
	mbs +

ACCESS LEVEL
	User

DESCRIPTION
	With this command you proceed to the next board with unread
	news and list the headers of that board.

SEE ALSO
	Option r

#ENTRY mbs cn
NAME
	mbs cn - Create a newsgroup

SYNOPSIS
	mbs cn <new newsgroup>

ACCESS LEVEL
	User

DESCRIPTION
	The specified newsgroup must be no more than 10 characters in
	length and consist of a single word. It will be made the current
	newsgroup selection item on addition.

NOTA BENE
	It's impossible to subscribe to any board without having a
	newsgroup to assign it to.

SEE ALSO
	Options ln, rn, dn, ss and s.

#ENTRY mbs rn
NAME
	mbs rn - Rename a newsgroup

SYNOPSIS
	mbs rn [old name] [new name]

ACCESS LEVEL
	User

DESCRIPTION
	The new name must no more then 10 characters in length, and it
	must consist of a single word. It will be made the current
	newsgroup selection item on renaming. All subscribed boards
	to the old group will be moved to the new.

SEE ALSO
	Options cn, ln, dn, ss and s.

#ENTRY mbs ln
NAME
	mbs ln - List newsgroups

SYNOPSIS
	mbs ln

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to list your newsgroups, the current newsgroup
	selection item will be bracketed in square brackets.

NOTA BENE
	That an item is marked as the current newsgroup selection item
	does not mean that newgroups is used as current selection. It
	only means that IF you chose newsgroups for selection purposes, 
	this is	the item used.

SEE ALSO
	Options cn, rn, dn, ss and s.

#ENTRY mbs dn
NAME
	mbs dn - Delete a newsgroup

SYNOPSIS
	mbs dn [name]

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to delete a newsgroup. All boards subscribed to
	this group will be unsubscribed automatically. If the deleted
	newsgroup was the current selection order item, the first (in
	alphabetical sense) of the remaining newsgroups will be used
	instead.

SEE ALSO
	Options cn, ln, rn, ss and s.

#ENTRY mbs ss
NAME
	mbs ss - Set or show the current selection

SYNOPSIS
	mbs ss <selection>

ACCESS LEVEL
	User

DESCRIPTION
	With this command you set the selection for use with reading
	and listing boards. The available selections are Category,
	Domain and Newsgroups. You set it by specifying the first
	letter in the selection you want, e.g. 'mbs ss d' to set the
	Domain selection.

	If you specify no selection, the current selection and selection
	item will be shown.

SEE ALSO
	Option s.

#ENTRY mbs si
NAME
	mbs si - Set or show the current selection item

SYNOPSIS
	mbs si <item>

ACCESS LEVEL
	User

DESCRIPTION
	Use this command to set the selection item for the current
	selection. The chosen selection item naturally must be a part
	of the available items.

	If you specify no item, the current selection item will be
	shown.

SEE ALSO
	finger domains, options lc and ln.

#ENTRY mbs lc
NAME
	mbs lc - List all categories

SYNOPSIS
	mbs lc

ACCESS LEVEL
	User

DESCRIPTION
	This command lists all available categories.

#ENTRY mbs la
NAME
	mbs la - List mbs administrators

SYNOPSIS
	mbs la

ACCESS LEVEL
	User

DESCRIPTION
	This command lists all mbs administrators. Use this command if
	you need to get in touch with someone in charge of the mbs and
	don't know whom to talk to.

#ENTRY mbs gr
NAME
        mbs gr - Generate reports on board usage

SYNOPSIS
        mbs gr [r/p/tr/tp/reset]

ACCESS LEVEL
        User, Admin

DESCRIPTION
        This command generates a list of board usage, presented on the
        screen.

ARGUMENTS
        r  - Generate a report of usage sorted by max read notes, since
             last reset of the statistics

        p  - Generate a report of usage sorted by max posted notes, since
             last reset of the statistics

        tr - Generate a report of usage sorted by max read notes, since
             last reboot

        tp - Generate a report of usage sorted by max posted notes, since
             last reboot

        reset - Reset the long-time statistics, this command is only
                accessable by board admins.

#ENTRY mbm
NAME
	mbm - Mrpr's Board soul manager, manage the board soul

SYNOPSIS
	mbm <options> <args>

ACCESS LEVEL
	Liege, Admin

DESCRIPTION
	The mbm command allows you to manage the list of available boards,
	administrators and categories.

	The options are here listed briefly. To get the full help text
	please ask for the short version of the command, e.g. 'mbh mbm n'
	to get the help text for the list new command.

	Beware that most mbm commands that are available for lieges will
	work slightly differently, basically provide more information and
	functionality, to mbs administrators.

OPTIONS
	u - user level, l - liege level, a - mbs admin level
	* = default command (command issued if no arguments given)
	-- Board admin
(l)	a	- Add a board from the list of new boards
(l)	d	- Delete a board from the list of old boards
(l)	dD	- Delete a board from both the added and new list
(l)	D	- Delete a board from the new list
(l)	l *	- List unnamed boards
(l)	L	- List named boards
(l)	r	- Rename an added board
(l)	t	- Teleport to a board
	-- Category admin
(a)	ac	- Add a category
(a)	dc	- Delete a category
(l)	lc	- List all categories
(a)	rc	- Rename a category
	-- Mbs admin admin
(a)	aa	- Add an mbs administrator
(a)	da	- Delete an mbs administrator
(l)	la	- List all mbs administrators

FILES
	The mbm command uses a save file '/syslog/mbs_central.o' for keeping 
	track of both the available boards and the indexes of this help file. 
	It is automatically updated and restored by the mbs service.

#ENTRY mbm a
NAME
	mbm a - Add a new board

SYNOPSIS
	mbm a [name] [category] [directory path] [description]

ACCESS LEVEL
	Liege

DESCRIPTION
	Use this command to add a new board to the list of named and
	available boards. The board must first have been loaded in to 
	memory and a first note posted on it. This adds it to the list 
	of unnamed boards in the mbs central register.

	The name of the new board must be unique, i.e. not exist previously
	in the category you wish to add it to. Also, the name can not be
	longer than 10 characters.

	The directory path atually is the path to the directory where the
	board stores its notes. If this changes you will have to remove
	the board and then re-add it with the new path.

	Take care to make the description as succint and... well...
	descriptive as possible. Remember that the length of the string
	must be no longer than 30 characters.

	Please also make sure you assign the board to the proper
	category from the start. To have a misleading position on a
	board will confuse people a lot.

LIEGE LEVEL USAGE
	Lieges may only add boards from their own domain, and may not
	add boards to base categories.

	A liege may add a maximum of 20 boards to the mbs from his domain.

NOTA BENE
	The name should be completely free of special characters, no
	dots, underscores or extraneous characters of any kind. Also
	try to make the name as short as possible as the users probably
	won't appreciate having to type the full ten characters allowed
	every time they want to select your board.

SEE ALSO
	Options d, dD, D, l, lc, L and r.

#ENTRY mbm d
NAME
	mbm d - Delete a board from the active list

SYNOPSIS
	mbm d [name] [cathegory]

ACCESS LEVEL
	Liege

DESCRIPTION
	With this command you remove a board from the list of available
	boards and move it to the mbm list of unnamed boards.

LIEGE LEVEL USAGE
	Lieges may only remove boards of their own domain.

SEE ALSO
	Options a, dD, D, l, L and r.

#ENTRY mbm dD
NAME
	mbm dD - Remove a board entirely from the mbs

SYNOPSIS
	mbm dD [name] [category]

ACCESS LEVEL
	Liege

DESCRIPTION
	With this command you remove a board from both the list of 
	available boards and the list of unnamed boards. This is 
	typically something you want to do when moving a board to
	another savepath, or removing it entirely from the game.

	This command removes it from the list of boards that can be 
	named later by you.

LIEGE LEVEL USAGE
	Lieges may only remove boards of their own domain.

SEE ALSO
	Options a, d, D, l, L and r.

#ENTRY mbm D
NAME
	mbm D - Remove a board from the list of unnamed boards

SYNOPSIS
	mbm D [save path]

ACCESS LEVEL
	Liege

DESCRIPTION
	With this command you remove a board from the list of
	unnamed boards. You do this with boards that aren't named
	yet and has moved, or have been removed. 

	This command removes it from the list of boards that can be 
	named later by you.

LIEGE LEVEL USAGE
	Lieges may only remove boards of their own domain.

SEE ALSO
	Options a, d, dD, l, L and r.

#ENTRY mbm l
NAME
	mbm l - List all unnamed boards

SYNOPSIS
	mbm l <domain>

ACCESS LEVEL
	Liege

DESCRIPTION
	With this command you list all unnamed boards. The shown path
	is the path to the place where the boards store their messages.

	You can add a domain name as optional argument to limit the output.

LIEGE LEVEL USAGE
	Lieges only get their own domain boards listed.

SEE ALSO
	Options a, d, dD, D, L and r.

#ENTRY mbm L
NAME
	mbm L - List all available boards

SYNOPSIS
	mbm L <domain/category>

ACCESS LEVEL
	Liege

DESCRIPTION
	With this command you list all available named boards.
	You can specify a single category or domain to reduce the
	amount of output.

	You are presented with the following information: Board name,
	assigned category, parent domain, description access and
	savepath.

	The privilige string is three characters long and tell you if
	you have Read, Write or Delete access to the board.

LIEGE LEVEL USAGE
	Lieges only get their own domain boards listed and can not
	specify domain or category.

SEE ALSO
	Options a d dD, D, l and r.

#ENTRY mbm r
NAME
	mbm r - Rename a board and/or change description

SYNOPSIS
	mbm r [old name] [category] [new name] <new description>

ACCESS LEVEL
	Liege

DESCRIPTION
	With this function you rename a board. You must specify the board
	name and the category in order to specify the board. Lieges can
	only rename boards in their own domain.

	If you supply a new description that will change as well. It's
	possible to only change the description by providing the same
	name twice.

SEE ALSO
	Options a, d, dD, D, l and L.

#ENTRY mbm t
NAME
	mbm t - Teleport to a board, given the savepath

SYNOPSIS
	mbm t [savepath]

ACCESS LEVEL
	Liege

DESCRIPTION
	This function teleports you to a board, given the savepath of
	the board.

#ENTRY mbm ac
NAME
	mbm ac - Add a category

SYNOPSIS
	mbm ac [name] [description]

ACCESS LEVEL
	Admin

DESCRIPTION
	The name of the new category must be no longer than 10 characters
	and the description no more than 30.

	Don't add categories just for fun, but keep them as few as possible.
	After all, categories are there to give a general description of
	the boards assigned to them, not name them individually.

WARNING
	It is a very bad idea to add a category with the same name as a
	domain in the game. Part of the mbs code might work less satisfying
	in identifying a board without full references then.

SEE ALSO
	Options lc, dc and rc

#ENTRY mbm lc
NAME
	mbm lc - List all categories

SYNOPSIS
	mbm lc

ACCESS LEVEL
	Liege

DESCRIPTION
	This command lists all available categories. Base categories are
	prepended by an asterisk (*).

SEE ALSO
	Options ac, dc and rc;

#ENTRY mbm dc
NAME
	mbm dc - Delete a category

SYNOPSIS
	mbm dc [name]

ACCESS LEVEL
	Admin

DESCRIPTION
	This command deletes a category. All boards that are registered
	with this category will be removed from the list of available
	boards.

	Base categories can not be removed.

NOTA BENE
	As this command automatically removes all boards belonging to
	the indicated category from the list of available boards, all
	subscriptions to those boards will also be cancelled. If you
	only wish to rename the category, use the 'mbm rc' command
	instead, do NOT remove and then add if this was the intended
	effect, people will NOT appreciate it.

SEE ALSO
	Options ac, lc and rc

#ENTRY mbm rc
NAME
	mbm rc - Rename a category, or change the description

SYNOPSIS
	mbm rc [old name] [new name] <new desc>

ACCESS LEVEL
	Admin

DESCRIPTION
	The new name must be no longer than 10 characters. You can supply
	a new description as well (which must be 30 characters or less in
	length), or just change the old by giving the same name for the 
	old and new categories.

	Base categories can not be renamed or changed.

SEE ALSO
	Options ac, lc and dc.

#ENTRY mbm aa
NAME
	mbm aa - Add an mbs administrator

SYNOPSIS
	mbm aa [new admin]

ACCESS LEVEL
	Admin

DESCRIPTION
	Use this command to add a board admin. The admin must be a wizard
	of some kind, but that's the only restriction.

SEE ALSO
	Options la and da.

#ENTRY mbm la
NAME
	mbm la - List mbs administrators

SYNOPSIS
	mbm la

ACCESS LEVEL
	Liege

DESCRIPTION
	This command lists all mbs administrators. 

ADMIN LEVEL USAGE
	Default administrators have their names enclosed in straight
	brackets.

SEE ALSO
	Options aa and da.

#ENTRY mbm da
NAME
	mbm da - Delete an mbs administrator

SYNOPSIS
	mbm da [name]

ACCESS LEVEL
	Admin

DESCRIPTION
	Use this command to delete an mbs administrator.

	A default mbs admin can not be deleted.

SEE ALSO
	Options aa and la.

#ENTRY mbm gr
NAME
	mbm gr - Generate a usage report

SYNOPSIS
	mbm gr [reset/r/p]

ACCESS LEVEL
	Admin

DESCRIPTION
	With this command you print a usage report on the registered
	boards. Only named boards are listed.

	r - Sort boards in 'number of read notes' order.
	p - Sort boards in 'number of posted notes' order.
	reset - Reset the accounting.

NOTA BENE!
	Don't reset the list too often, as info only becomes interesting
	after a certain time of accumulating of info.	

#ENTRY tutorial
MBS users tutorial
==================

Preface
-------

The mbs is an in-game tool designed to make it easier to handle large
amounts of bulletin boards. It helps you to organize them, keeps track
on which articles you have read and allows you to read, write and remove
articles without having to go to the boards.

All boards report when an article is posted or read to a central board
manager, which actually also is the central mbs object. In this way the
mbs is constantly kept up to date with changes on boards and which boards
are available.

The lieges and mbs administrators can add boards to the mbs service,
effectively giving the boards a name and classifying their type. You
can subscribe boards from that list of available boards and sort them
into newsgroups of your own making.

Board naming and classification
-------------------------------

A board is uniquely identified by its name and category. The name is
simply a short label chosen by a liege or mbs administrator that gives
a hint about its contents, a handle. A category is general description
of the boards that belong to it. For example, the board 'tool' in the
category 'develop' deals with the development of game tools.

The lieges have a limited set of categories to chose from, the idea
is to tell you at a glance approximately what the board contains, not
describe it in detail. You can get a list of all category names and
descriptions with the command 'mbs lc'.

= > mbs lc
= Category       Description
= ---------      -----------
= Cat1           Description of category 1
= Cat2           Description of category 3
= Cat3           Description of category 3
= ...

When you list the available boards with the command 'mbs L', you will
get this kind of listing:

= > mbs L
= Board      Category   Domain     Description
= -----      --------   ------     -----------
= Bd1        Cat1       Dom1       Description of board Bd1
= Bd2        Cat1       Dom2       Description of board Bd2
= 
= Bd3        Cat2       Dom1       Description of board Bd3 
= Bd4        Cat2       Dom3       Description of board Bd4
= ...

The boards are split by category and sorted internally by domain
order. If the list is too large in your opinion, you can specify just
one category or domain by giving it as an argument to the command;

= > mbs L cat2
= Board      Category   Domain     Description
= -----      --------   ------     -----------
= Bd3        Cat2       Dom1       Description of board Bd3 
= Bd4        Cat2       Dom3       Description of board Bd4
= ...

Newsgroups
----------

The mbs expects you to define one or more newsgroups to assign your
subscribed boards to. A newsgroup actually is nothing more than
another handle to sort boards by, just as the category and domain
fields, but defined by you and known only by you.

It's reasonable to try to subscribe no more than fifteen-twenty boards
per newsgroup in order for execution of news searching as well as the
amount of output on your screen to stay within reasonable limits. You
start out with a newsgroup called 'Boards' created for you already,
but you probably want to add more as well as rename that one.

You create a new newsgroup with the command 'mbs cn <name>', list old
with 'mbs ln', delete ones you don't want with 'mbs dn <name>' and
rename old ones with 'mbs rn <old name> <new name>'. Assuming you want
to rename the newsgroup 'Boards' to 'Daily' and create two new called
'Guilds' and 'Misc', you would do like this:

= > mbs rn boards daily
= Newsgroup 'Boards' renamed to 'Daily'.
= > mbs cn guilds
= Newsgroup 'Guilds' created.
= > mbs cn misc
= Newsgroup 'Misc' created.
= >
= > mbs ln
= > Your newsgroups: Daily, Guilds, [Misc].

The brackets around 'Misc' means that that newsgroup is the currently
selected newsgroup, making it the group that boards are assigned to
when you subscribe to them unless you specify something else.

Selection criteria and selection items
--------------------------------------

The mbs can be instructed to list and read boards based on three different
selection criteria; category, domain and newsgroup. You pick your selection
criteria with the command 'mbs ss <c/d/n>'. To see the current selection
just type 'mbs ss':

= > mbs ss n
= Current selection is 'Newsgroup' (Misc)

To select an item, you use the command 'mbs si <item>':

= > mbs ss d
= Current selection is 'Domain' (). /* You haven't picked a domain yet */
= > mbs si dom1
= Currently selected domain: Dom1
= > mbs ss
= Current selection is 'Domain' (Dom1).

The mbs will now process boards based on your selection criteria,
starting with the current selection item. Most reasonable is to use
newsgroup as a selection criteria, since that will make the mbs read
news in the order you yourself has defined, and not by domain or
category. However, the choise is yours.

Now, let's reset to newsgroup:

= > mbs ss n
= Current selection is 'Newsgroup' (Misc)

As you can see, it remembers previously set selection items for different
criteria.

Subscribing boards
------------------

You now want to add boards to your newsgroups. The list of available
boards you got with the command 'mbs L'. You will only be shown
unsubscribed boards there, if you want the full list, you can type
'mbs La'.

However, when subscribing you're only interested in the list of as yet
unsubscribed boards, naturally.

= > mbs L
= Board      Category   Domain     Description                   Access
= -----      --------   ------     -----------                   ------
= Bd1        Cat1       Dom1       Description of board Bd1      [rwd]
= Bd2        Cat1       Dom2       Description of board Bd2      [---]
= 
= Bd3        Cat2       Dom1       Description of board Bd3      [r-d]
= Bd4        Cat2       Dom3       Description of board Bd4      [rwd]
= Bd5        Cat2       Dom3       Description of board Bd5      [rw-]

Now, lets subscribe 'Bd1', 'Bd3' and 'Bd5' to the 'Misc' and
'Bd2' and 'Bd4' to 'Guilds'.

You specify the board you want to subscribe to by board name AND
category or domain. Beware that some boards might have the same
name and belong to the same domain, but assigned to different
categories. The safe board identification method is always by name
and category. You subscribe boards by issuing the command 
'mbs s <board> <category/domain> <newsgroup>'. If you omit the
newsgroup entry, it will be assigned to the currently selected
newsgroup.

= >mbs s bd1 cat1
= You have subscribed to the board 'Bd1' in the category 'Cat1' and
= assigned it to the newsgroup 'Misc'.
= 
= >mbs s bd3 dom1 misc
= You have subscribed to the board 'Bd3' in the category 'Cat2' and
= assigned it to the newsgroup 'Misc'.
= 
= >mbs s bd2 cat1 guilds
= You have subscribed to the board 'Bd2' in the category 'Cat1' and
= assigned it to the newsgroup 'Guilds'.
= 
= >mbs s bd4 cat2
= You have subscribed to the board 'Bd4' in the category 'Cat2' and
= assigned it to the newsgroup 'Guilds'.
= 
= >mbs s bd5 cat2 misc
= You have subscribed to the board 'Bd5' in the category 'Cat2' and
= assigned it to the newsgroup 'Misc'.

As you can see above, subscribing a board to another newsgroup than
the currently selected also makes it the current. That's why the
fourth subscription above didn't need a newsgroup specification to
end up at the right place. Subscribing a board also makes that board
the current board. Now, let's see what you got, you do that with the
command 'mbs lu', or just 'mbs'. That will list all boards with unread
news and display their status:

= > mbs
= Newsgroup: Misc
= 
=  Board      Category   Domain     Description                    Status
=  -----      ---------  ------     -----------                    ------
=  Bd1        Cat1       Dom1       Description of board Bd1       U [rwd]
=  Bd3        Cat2       Dom1       Description of board Bd3       U [r-d]
= 
= *Bd5        Cat2       Dom3       Description of board Bd5       U [rw-]

The status is either 'U' for unread news, or '-' for nothing of interest.
The letters within the brackets denote your privliges on that board;
read, write and delete. One or more might be '-', denoting that you do
not have the right to perform that operation on that board. A 'B' means
the board is broken right now, something to call to the attention of
the owner of the board.

Now list the other newsgroup as well:

= > mbs si guilds
= Currently selected newsgroup: Guilds
= > mbs
= Newsgroup: Guilds
= 
=  Board      Category   Domain     Description                    Status
=  -----      ---------  ------     -----------                    ------
=  Bd2        Cat1       Dom2       Description of board Bd2       U [---]
= 
=  Bd4        Cat2       Dom3       Description of board Bd4       U [rwd]

Now, as you can see, the board 'Bd2' really is off limits for you. You
can't do anything on that one; not read, write or delete articles. Trying
to read it will not work and the mbs will actually just skip over it
or issue an error message every time you try to do something, since it
won't work anwyay. The truth is that you're not interested in that board
at all, neither subscribed nor unsubscribed.

There's a feature for that; you can scrap it. Scrapping a board simply
means you mark it as uninteresting and you don't get to see it when
listing unsubscribed boards at all. You can, however, subscribe it
any time to bring it back into action. Now, let's scrap 'Bd2'. Start
by unsubscribing it: 'mbs u <board> <category/domain/newsgroup>'.
As usual it's safest to supply a category to the board name, however,
you can also ignore it entirely, thereby identifying that board
within the current selection.

= > mbs u bd2
= You have unsubscribed the board 'Bd2' in the category 'Cat1' belonging to
= the newsgroup 'Guilds'.

Now, scrap it with the command 'mbs scrap <board> <category>'

= > mbs scrap bd2 cat1
= You have scrapped the boad 'Bd2' in the category 'Cat1'.

You can list your scrapped boards in the same way as unsubscribed boards
with the command 'mbs ls':

= > mbs ls
= Board      Category   Domain     Description
= -----      ---------  ------     -----------
= Bd2        Cat1       Dom2       Description of board Bd2

The only way of removing a board from the scrap list is to subscribe to it.

Reading news
------------

Reading news is very very simple. Just type 'mbs r', and the mbs will
select the first unread article, starting in the current selection and
on the currently selected board. If it finds no article on that board,
it'll swap to the following one. When the selection item is exhausted, 
it will swap to the next selection item, starting over there and so on.

You can also select a specific article by typing 'mbs r <item number>',
but remember that any unread articles previous to that article then
also will be marked as read.

Well, that's it
---------------

This completes the introduction to the mbs. With this set of commands
you can manage the mbs enough to get started. However, there's lots of
more commands in there. I would like to urge you to read ALL the help
file items for ALL the commands, including the ones described above.
You'll find lots of nice features in there I'm sure you'll appreciate.
Just start with 'mbh mbs' and go on from there.

WARNING: Asking qestions about stuff that is in the help file, that
you simply haven't bothered to read will probably just earn you a
rude comment. The correct order is READ, THINK and _then_ ASK.

Lieges are now encouraged to type 'mbh liegeadmin' to get the help
entry on their commands.

#ENTRY liegeadmin
Administration (liege) level
============================

All lieges now have the responsability of adding their own boards to the
mbs. The mbs finds out about new boards when you first post on them.
With each posting they send their storage location and the timestamp of
the last posted note to the central board manager.

Your job is to attach these savepaths to a name and a category. You can
only add boards to domain categories, not the default base categories.
With the command 'mbm lc' you can see which category is which.

= > mbm lc
=  Category       Description
=  ---------      -----------
= *Cat1           Description for Cat1
= *Cat2           Description for Cat2
=  Cat3           Description for Cat3
=  Cat4           Description for Cat4

The categories with asterisks in front of them are all base categories
and not available to you. Only mbs administrators can add or remove
categories, or assign boards to base categories.

Now, assume you belong to the domain 'Dom1'. To find out which boards
that has been added recently you type 'mbm' or 'mbm l'.

= > mbm
= Unattached boards (1)
= -----------------
= /d/Dom1/wiz1/myboard
= /d/Dom1/wiz2/board_store

Assume we want to call the first one 'Bd1' and we want it in the
category Cat3, the 'Test' category. You add boards with the
command 'mbm a <board name> <category> <save path> <description>'. 
Take care to put the board in a category that best describes its 
contents!

= > mbm a bd1 cat3 /d/Dom1/wiz1/myboard My first board
= Added the board 'Bd1' to the category 'Cat3'.

The command 'mbm L' lists the boards of your domain that has been
added already:

= > mbm L
= Board      Category   Domain     Description & Savepath
= -----      ---------  ------     ----------------------
= Bd1        Cat3       Dom1       My first board
=                         /d/Dom1/wiz1/myboard

This, actually, is all I need to teach you here. Again, the rest of
all commands are available through 'mbh mbm', and I do recommend you
to read it all. RTFM you know :)

